Loading...
Searching...
No Matches
svn_txdelta_op_t Struct Reference
Delta generation and handling » Text deltas

A single text delta instruction. More...

`#include <svn_delta.h>`

## Data Fields

enum svn_delta_action | action_code
| Action code of delta instruction.
apr_size_t | offset
| Offset of delta, see svn_delta_action for more details.
apr_size_t | length
| Number of bytes of delta, see svn_delta_action for more details.

## Detailed Description

A single text delta instruction.

Definition at line 159 of file svn_delta.h.

## Field Documentation

## action_code

enum svn_delta_action svn_txdelta_op_t::action_code

Action code of delta instruction.

Definition at line 162 of file svn_delta.h.

## length

apr_size_t svn_txdelta_op_t::length

Number of bytes of delta, see svn_delta_action for more details.

Definition at line 166 of file svn_delta.h.

## offset

apr_size_t svn_txdelta_op_t::offset

Offset of delta, see svn_delta_action for more details.

Definition at line 164 of file svn_delta.h.

The documentation for this struct was generated from the following file:

- svn_delta.h